--- title: "Add a role to a user" slug: "add-a-role-to-a-user" updated: 2024-10-25T18:04:27Z published: 2026-02-10T22:32:35Z canonical: "docs.skillable.com/add-a-role-to-a-user" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.skillable.com/llms.txt > Use this file to discover all available pages before exploring further. # Add a role to a user Get/AddUserToRole Allows you to add a user to a role SecurityAPI Key: api_keyHeader parameter nameapi_key Query parametersuserIdinteger (int32) Required The user's ID Example57383 roleIdinteger (int32) Required The role ID Example20 Responses200 OK Response object statusinteger (int32) Indicates the status of the API request. - 0 = Success - 10 = Error - 20 = Not found - 30 = Invalid integration key Example10 errorstring | null Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).